let
  mozilla = import (builtins.fetchTarball https://github.com/mozilla/nixpkgs-mozilla/archive/master.tar.gz);
  pkgs = import <nixpkgs> { overlays = [ mozilla ]; };
  rustChannel = pkgs.latest.rustChannels.stable;
in

with pkgs;

mkShell {
  buildInputs = [
    rust-analyzer # the one from Mozilla is slightly broken https://github.com/mozilla/nixpkgs-mozilla/issues/238
    (pkgs.latest.rustChannels.stable.rust.override {
      # extensions = ["rust-src"]; # unneeded because we're using rust-analyzer from nixpkgs
    })
  ];
}
